Overview
GET/notifications/preferencesnotifications

List the caller's notification preferences (all categories)

List preferences.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

All preferences (one per category)

  • preferencesNotificationPreference[]
Example
{
  "preferences": [
    {
      "category": "account",
      "email": true,
      "sms": true
    }
  ]
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/notifications/preferences" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/notifications/preferences", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();